E-MailRelay

Public Member Functions | List of all members
GAuth::SaslServerBasic Class Reference

An implementation of the SaslServer interface that does not use PAM. More...

`#include <gsaslserverbasic.h>`

Inheritance diagram for GAuth::SaslServerBasic:
[legend]
Collaboration diagram for GAuth::SaslServerBasic:
[legend]

## Public Member Functions
| SaslServerBasic (const SaslServerSecrets &, bool allow_pop, const std::string &config, const std::string &challenge_domain)
| Constructor. More...
| SaslServerBasic (const SaslServerBasic &)=delete
| SaslServerBasic (SaslServerBasic &&)=delete
SaslServerBasic & | operator= (const SaslServerBasic &)=delete
SaslServerBasic & | operator= (SaslServerBasic &&)=delete
Public Member Functions inherited from GAuth::SaslServer
virtual | ~SaslServer ()=default
| Destructor.
virtual G::StringArray | mechanisms (bool secure) const =0
| Returns a list of supported, standard mechanisms that can be advertised to the client. More...
virtual void | reset ()=0
| Clears the internal state as if just constructed. More...
virtual bool | init (bool secure, const std::string &mechanism)=0
| Initialiser for the given mechanism. More...
virtual std::string | mechanism () const =0
| Returns the current mechanism, as selected by the last successful init().
virtual std::string | preferredMechanism (bool secure) const =0
| Returns a preferred mechanism if authentication with the current mechanism has failed. More...
virtual bool | mustChallenge () const =0
| Returns true if authentication using the current mechanism must always start with a non-empty server challenge, ie. More...
virtual std::string | initialChallenge () const =0
| Returns the possibly-empty initial server challenge.
virtual std::string | apply (const std::string &response, bool &done)=0
| Applies the client response and returns the next challenge and a 'done' flag by reference. More...
virtual bool | authenticated () const =0
| Returns true if authenticated sucessfully. More...
virtual std::string | id () const =0
| Returns the authenticated or trusted identity. More...
virtual bool | trusted (const G::StringArray &address_wildcards, const std::string &address_display) const =0
| Returns true if a trusted client that does not need to authenticate. More...

## Detailed Description

An implementation of the SaslServer interface that does not use PAM.

See also
  GAuth::SaslServerPam

Definition at line 45 of file gsaslserverbasic.h.

## Constructor & Destructor Documentation

## ◆ SaslServerBasic()

GAuth::SaslServerBasic::SaslServerBasic | ( | const SaslServerSecrets & | secrets,
|  | bool | allow_pop,
|  | const std::string & | config,
|  | const std::string & | challenge_domain
| ) |  |
| explicit

Constructor.

The 'config' parameters can be used to reduce the set of available authentication mechanisms.

Definition at line 360 of file gsaslserverbasic.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsaslserverbasic.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gauth/gsaslserverbasic.cpp